import {
  APIRequest,
  APIDecoder,
  APIEncoder,
  ParameterUtil
} from '@ucap-webmessenger/api';
import { DeviceType } from '@ucap-webmessenger/core';
import { PromptAPIResponse } from './api-prompt';

export interface ConferenceJoinRequest extends APIRequest {
  userSeq: number;
  deviceType: DeviceType;
  tokenKey: string;
  conferenceSeq: number;
}

export interface ConferenceJoinResponse extends PromptAPIResponse {}

const conferenceJoinEncodeMap = {
  userSeq: 'userSeq',
  deviceType: 'deviceType',
  tokenKey: 'tokenKey',
  conferenceSeq: 'roomSeq'
};

export const encodeConferenceJoin: APIEncoder<ConferenceJoinRequest> = (
  req: ConferenceJoinRequest
) => {
  return ParameterUtil.encode(conferenceJoinEncodeMap, req);
};

export const decodeConferenceJoin: APIDecoder<ConferenceJoinResponse> = (
  res: any
) => {
  return {
    responseCode: res.responseCode,
    responseMsg: res.responseMsg
  } as ConferenceJoinResponse;
};
