import { Component, OnInit, Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';

import { DialogService, SnackBarService } from '@ucap-webmessenger/ui';
import { NGXLogger } from 'ngx-logger';
import { NativeService, UCAP_NATIVE_SERVICE } from '@ucap-webmessenger/native';
import { TranslateService } from '@ngx-translate/core';
import { VideoConferenceEventJson } from '@ucap-webmessenger/protocol-event';
import { VideoConferenceContentsType } from '@ucap-webmessenger/protocol-event';

export interface ConferenceDetailDialogData {
  detail: VideoConferenceEventJson;
}

export interface ConferenceDetailDialogResult {}

@Component({
  selector: 'app-layout-messenger-conference-detail',
  templateUrl: './conference-detail.dialog.component.html',
  styleUrls: ['./conference-detail.dialog.component.scss']
})
export class ConferenceDetailDialogComponent implements OnInit {
  conferenceDetail: VideoConferenceEventJson;

  VideoConferenceContentsType = VideoConferenceContentsType;

  constructor(
    public dialogRef: MatDialogRef<
      ConferenceDetailDialogData,
      ConferenceDetailDialogResult
    >,
    @Inject(MAT_DIALOG_DATA) public data: ConferenceDetailDialogData,
    @Inject(UCAP_NATIVE_SERVICE) private nativeService: NativeService,
    private translateService: TranslateService
  ) {}

  ngOnInit(): void {
    this.conferenceDetail = this.data.detail;
  }

  getJoinArray(arr: string[]): string {
    return arr.join(',');
  }

  onClickConfirm(): void {
    this.dialogRef.close({});
  }
}
